package de.ozgcloud.eingang.xta;

class XtaMessageTestFactory {

	static final XtaMessageId MESSAGE_ID = XtaMessageId.from("urn:de:xta:messageid:dataport_xta_210:81e40808-91c6-4765-aaf4-1aa62fec8be9");

	static XtaMessage create() {
		return createBuilder().build();
	}

	static XtaMessage.XtaMessageBuilder createBuilder() {
		return XtaMessage.builder()
				.metaData(XtaMessageMetaDataTestFactory.create())
				.messageFile(XtaFileTestFactory.create());

	}
}
